Subject: Re: [PATCH net-next v1 2/5] net: sched: Introduce helpers for qevent blocks

From: Petr Machata <[email-masked]>
Date: Thu, 09 Jul 2020 02:13:47 +0200

Petr Machata <[email-masked]> writes:

> Cong Wang <[email-masked]> writes:
>
> I'll think about it some more. For now I will at least fix the lack of
> locking.

I guess I could store smp_processor_id() that acquired the lock in
struct qdisc_skb_head. Do a trylock instead of lock, and on fail check
the stored value. I'll need to be careful about the race between
unsuccessful trylock and the test, and about making sure CPU ID doesn't
change after it is read. I'll probe this tomorrow.